Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster » Buckminster headless Subclipse download site is old version
icon9.gif  Buckminster headless Subclipse download site is old version [message #782216] Mon, 23 January 2012 11:07 Go to next message
Matthew Webber is currently offline Matthew Webber
Messages: 198
Registered: December 2010
Senior Member
It looks like the headless Buckminster Subclipse download, as published on the CloudSmith website, is an old version.

Background:
Normally, Buckminster is installed from http://download.eclipse.org/tools/buckminster/updates-3.7 (IDE version) and http://download.eclipse.org/tools/buckminster/headless-3.7 (headless version).

However, the headless Subclipse support is a special case. According to the instructions at http://www.eclipse.org/buckminster/downloads.html, due to licensing issues it cannot be downloaded from eclipse.org, but instead must be downloaded from CloudSmith.

However, the headless Subclipse support at http://download.cloudsmith.com/buckminster/external-3.7 is an old version - you can see from the version number that it was built before the source was moved to Git.

I became aware of this problem when my headless Buckminster build hit https://bugs.eclipse.org/bugs/show_bug.cgi?id=350011, a problem which was fixed in July last year.

If you look at the version of the IDE Subclipse support hosted at eclipse.org, you can ssee it's quite recent. I guess the headess version is just not getting build, or at least not getting published at CloudSmith.

Is it possible for the versions at http://download.cloudsmith.com/buckminster/external-3.7 to be updated?

Thanks
Matthew
Re: Buckminster headless Subclipse download site is old version [message #782249 is a reply to message #782216] Mon, 23 January 2012 12:10 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3229
Registered: July 2009
Senior Member
Hi Matthew,

That's an oversight on our part. I'll see to that it gets updated. Thanks for pointing it out.

Regards,
Thomas Hallgren


On 2012-01-23 12:07, Matthew Webber wrote:
> It looks like the headless Buckminster Subclipse download, as published on the CloudSmith website, is an old version.
>
> Background:
> Normally, Buckminster is installed from http://download.eclipse.org/tools/buckminster/updates-3.7 (IDE version) and
> http://download.eclipse.org/tools/buckminster/headless-3.7 (headless version).
>
> However, the headless Subclipse support is a special case. According to the instructions at
> http://www.eclipse.org/buckminster/downloads.html, due to licensing issues it cannot be downloaded from eclipse.org, but
> instead must be downloaded from CloudSmith.
>
> However, the headless Subclipse support at http://download.cloudsmith.com/buckminster/external-3.7 is an old version -
> you can see from the version number that it was built before the source was moved to Git.
>
> I became aware of this problem when my headless Buckminster build hit
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=350011, a problem which was fixed in July last year.
>
> If you look at the version of the IDE Subclipse support hosted at eclipse.org, you can ssee it's quite recent. I guess
> the headess version is just not getting build, or at least not getting published at CloudSmith.
>
> Is it possible for the versions at http://download.cloudsmith.com/buckminster/external-3.7 to be updated?
>
> Thanks
> Matthew
>
Re: Buckminster headless Subclipse download site is old version [message #783162 is a reply to message #782216] Wed, 25 January 2012 07:37 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3229
Registered: July 2009
Senior Member
The site at http://download.cloudsmith.com/buckminster/external-3.7 has been updated. Please note that for Buckminster
3.7 we provide Subclipse 1.6.x since we also provide the Subclipse SVNKit support. From the looks of it, the SVNKit
support has been dropped in the 1.7.x releases.

- thomas


On 2012-01-23 12:07, Matthew Webber wrote:
> It looks like the headless Buckminster Subclipse download, as published on the CloudSmith website, is an old version.
>
> Background:
> Normally, Buckminster is installed from http://download.eclipse.org/tools/buckminster/updates-3.7 (IDE version) and
> http://download.eclipse.org/tools/buckminster/headless-3.7 (headless version).
>
> However, the headless Subclipse support is a special case. According to the instructions at
> http://www.eclipse.org/buckminster/downloads.html, due to licensing issues it cannot be downloaded from eclipse.org, but
> instead must be downloaded from CloudSmith.
>
> However, the headless Subclipse support at http://download.cloudsmith.com/buckminster/external-3.7 is an old version -
> you can see from the version number that it was built before the source was moved to Git.
>
> I became aware of this problem when my headless Buckminster build hit
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=350011, a problem which was fixed in July last year.
>
> If you look at the version of the IDE Subclipse support hosted at eclipse.org, you can ssee it's quite recent. I guess
> the headess version is just not getting build, or at least not getting published at CloudSmith.
>
> Is it possible for the versions at http://download.cloudsmith.com/buckminster/external-3.7 to be updated?
>
> Thanks
> Matthew
>
icon14.gif  Re: Buckminster headless Subclipse download site is old version [message #786482 is a reply to message #783162] Mon, 30 January 2012 13:41 Go to previous message
Matthew Webber is currently offline Matthew Webber
Messages: 198
Registered: December 2010
Senior Member
Thanks Thomas, I can confirm that the refresh update site is good.
Matthew
Previous Topic:"Cannot open launch config from" when trying to run junit
Next Topic:[Buckminster headless] How to control buckminster workspace?
Goto Forum:
  


Current Time: Sat Oct 25 11:22:24 GMT 2014

Powered by FUDForum. Page generated in 0.03111 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software